package frc.robot.interfaces;

import java.util.OptionalDouble;

public interface IAprilTagProvider {
    public OptionalDouble getTagOffsetFromCameraCenterByID(int id, double cameraHalfXRes);
    public OptionalDouble getTagDistanceFromCameraByID(int id, double targetHeightMeters);
    public OptionalDouble getTagPitchByID(int id);
    public OptionalDouble getTagYawByID(int id);
}
