package frc.robot.interfaces;

import java.util.Optional;

import edu.wpi.first.math.geometry.Pose2d;

public interface IVisualPoseProvider {
    public record VisualPose(Pose2d visualPose, double timestamp) {}

    public Optional<VisualPose> getVisualPose();
}
